# DocumentQuality enum

The document quality status that comes from DocumentQualityAnalyzer

Inheritance
  - Object
  - Enum
  - DocumentQuality

## Constructors

DocumentQuality()
  const

## Values

NO_DOCUMENT → const DocumentQuality

  Cant recognize any document. */

VERY_POOR → const DocumentQuality

  Very poor document quality. */

POOR → const DocumentQuality

  Poor document quality. */

REASONABLE → const DocumentQuality

  Reasonable document quality. */

GOOD → const DocumentQuality

  Good document quality. */

EXCELLENT → const DocumentQuality

  Excellent document quality. */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentQuality>
  A constant List of the values in this enum, in order of their declaration.